13.9. Extrahieren von DVD-Untertiteln in eine VOBsub-Datei
Zurück | Kapitel 13. Allgemeiner Gebrauch von MEncoder | Weiter

## 13.9. Extrahieren von DVD-Untertiteln in eine VOBsub-Datei

MEncoder kann Untertitel aus einer DVD in VOBsub-formatierte Dateien extrahieren. Diese bestehen aus einem Paar von Dateien mit den Endungen `.idx` und `.sub` und sind für gewöhnlich in ein einzelnes `.rar`-Archiv gepackt. MPlayer kann diese mit den Optionen `-vobsub` und `-vobsubid` abspielen.

Du legst den Basisnamen der Ausgabedateien (z.B ohne die Erweiterung `.idx` oder `.sub`) mittels `-vobsubout` fest und den Index für diesen Untertitel der resultierenden Dateien mit `-vobsuboutindex`.

Stammt der Input nicht von einer DVD, solltest du `-ifo` verwenden, um die zur Konstruktion der resultierenden `.idx`-Datei benötigten `.ifo`-Datei anzugeben.

Stammt der Input nicht von einer DVD und besitzt du die `.ifo`-Datei nicht, musst du die Option `-vobsubid` anwenden, um ihn wissen zu lassen, welche Sprach-ID in die `.idx`-Datei eingefügt werden soll.

Jeder Start wird den laufenden Untertitel anhängen, falls die `.idx`- und `.sub`-Dateien bereits existieren. Also solltest du beide vor dem Start entfernen.

Beispiel 13.5. Kopieren zweier Untertitel aus einer DVD während einer 2-pass-Encodierung

            rm subtitles.idx subtitles.sub
            mencoder dvd://1 -oac copy -ovc lavc -lavcopts vcodec=mpeg4:vpass=1 \
            -vobsubout subtitles -vobsuboutindex 0 -sid 2
            mencoder dvd://1 -oac copy -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell:vpass=2 \
            -vobsubout subtitles -vobsuboutindex 1 -sid 5

Beispiel 13.6. Kopieren eines französichen Untertitels aus einer MPEG-Datei

            rm subtitles.idx subtitles.sub
            mencoder movie.mpg -ifo movie.ifo -vobsubout subtitles -vobsuboutindex 0 \
            -vobsuboutid fr -sid 1 -nosound -ovc copy

Zurück | Nach oben | Weiter
13.8. Encodieren von mehreren Input-Bilddateien (JPEG, PNG, TGA, etc.) | Zum Anfang | 13.10. Beibehalten des Seitenverhältnisses